Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ORBInitInfo Interface Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::ORBInitInfo:

[legend]
Collaboration diagram for PortableInterceptor::ORBInitInfo:

[legend]
List of all members.

## Public Types
typedef string | ObjectId
typedef ORBInitInfo_ptr | _ptr_type
typedef ORBInitInfo_var | _var_type
typedef char * | ObjectId
typedef CORBA::String_var | ObjectId_var
typedef CORBA::String_out | ObjectId_out
## Public Methods
void | register_initial_reference (in ObjectId id, in Object obj) raises (InvalidName)
Object | resolve_initial_references (in ObjectId id) raises (InvalidName)
void | add_client_request_interceptor (in ClientRequestInterceptor interceptor) raises (DuplicateName)
void | add_server_request_interceptor (in ServerRequestInterceptor interceptor) raises (DuplicateName)
void | add_ior_interceptor (in IORInterceptor interceptor) raises (DuplicateName)
SlotId | allocate_slot_id ()
void | register_policy_factory (in CORBA::PolicyType type, in PolicyFactory policy_factory)
virtual::CORBA::StringSeq * | arguments (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual char * | orb_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::IOP::CodecFactory_ptr | codec_factory (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | register_initial_reference (const char *id, CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ORBInitInfo::InvalidName )
virtual CORBA::Object_ptr | resolve_initial_references (const char *id ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ORBInitInfo::InvalidName )
virtual void | add_client_request_interceptor (PortableInterceptor::ClientRequestInterceptor_ptr interceptor ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ORBInitInfo::DuplicateName )
virtual void | add_server_request_interceptor (PortableInterceptor::ServerRequestInterceptor_ptr interceptor ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ORBInitInfo::DuplicateName )
virtual void | add_ior_interceptor (PortableInterceptor::IORInterceptor_ptr interceptor ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ORBInitInfo::DuplicateName )
virtual PortableInterceptor::SlotId | allocate_slot_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | register_policy_factory (CORBA::PolicyType type, PortableInterceptor::PolicyFactory_ptr policy_factory ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
ORBInitInfo_ptr | _duplicate (ORBInitInfo_ptr obj)
ORBInitInfo_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ORBInitInfo_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ORBInitInfo_ptr | _nil (void)
| Return a NULL object. More...
## Public Attributes
readonly attribute CORBA::StringSeq | arguments
readonly attribute string | orb_id
readonly attribute IOP::CodecFactory | codec_factory
## Static Public Attributes
int | _tao_class_id
| Address of this variable used in _unchecked_narrow(). More...
## Protected Methods
| ORBInitInfo (void)
virtual | ~ORBInitInfo (void)
## Private Methods
| ORBInitInfo (const ORBInitInfo &)
void | operator= (const ORBInitInfo &)

## Member Typedef Documentation

typedef ORBInitInfo_ptr PortableInterceptor::ORBInitInfo::_ptr_type

| Reimplemented from CORBA_Object. Reimplemented in TAO_ORBInitInfo.

typedef ORBInitInfo_var PortableInterceptor::ORBInitInfo::_var_type

| Reimplemented from CORBA_Object. Reimplemented in TAO_ORBInitInfo.

typedef char* PortableInterceptor::ORBInitInfo::ObjectId

typedef string PortableInterceptor::ORBInitInfo::ObjectId

typedef CORBA::String_out PortableInterceptor::ORBInitInfo::ObjectId_out

typedef CORBA::String_var PortableInterceptor::ORBInitInfo::ObjectId_var

## Constructor & Destructor Documentation

PortableInterceptor::ORBInitInfo::ORBInitInfo | ( | void |  | ) | `[protected]`

virtual PortableInterceptor::ORBInitInfo::~ORBInitInfo | ( | void |  | ) | `[protected, virtual]`

PortableInterceptor::ORBInitInfo::ORBInitInfo | ( | const ORBInitInfo & |  | ) | `[private]`

## Member Function Documentation

ORBInitInfo_ptr PortableInterceptor::ORBInitInfo::_duplicate | ( | ORBInitInfo_ptr | obj | ) | `[static]`

virtual const char* PortableInterceptor::ORBInitInfo::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA_Object. Reimplemented in TAO_ORBInitInfo.

ORBInitInfo_ptr PortableInterceptor::ORBInitInfo::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL | ) | `[static]`

| Reimplemented in TAO_ORBInitInfo.

ORBInitInfo_ptr PortableInterceptor::ORBInitInfo::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA_Object. Reimplemented in TAO_ORBInitInfo.

virtual void* PortableInterceptor::ORBInitInfo::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from CORBA_Object. Reimplemented in TAO_ORBInitInfo.

ORBInitInfo_ptr PortableInterceptor::ORBInitInfo::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

| Reimplemented in TAO_ORBInitInfo.

virtual void PortableInterceptor::ORBInitInfo::add_client_request_interceptor | ( | PortableInterceptor::ClientRequestInterceptor_ptr interceptor | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , PortableInterceptor::ORBInitInfo::DuplicateName )`[pure virtual]`

| Reimplemented in TAO_ORBInitInfo.

void PortableInterceptor::ORBInitInfo::add_client_request_interceptor | ( | in ClientRequestInterceptor | interceptor | ) | raises (DuplicateName)

virtual void PortableInterceptor::ORBInitInfo::add_ior_interceptor | ( | PortableInterceptor::IORInterceptor_ptr interceptor | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , PortableInterceptor::ORBInitInfo::DuplicateName )`[pure virtual]`

| Reimplemented in TAO_ORBInitInfo.

void PortableInterceptor::ORBInitInfo::add_ior_interceptor | ( | in IORInterceptor | interceptor | ) | raises (DuplicateName)

virtual void PortableInterceptor::ORBInitInfo::add_server_request_interceptor | ( | PortableInterceptor::ServerRequestInterceptor_ptr interceptor | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , PortableInterceptor::ORBInitInfo::DuplicateName )`[pure virtual]`

| Reimplemented in TAO_ORBInitInfo.

void PortableInterceptor::ORBInitInfo::add_server_request_interceptor | ( | in ServerRequestInterceptor | interceptor | ) | raises (DuplicateName)

virtual PortableInterceptor::SlotId PortableInterceptor::ORBInitInfo::allocate_slot_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_ORBInitInfo.

SlotId PortableInterceptor::ORBInitInfo::allocate_slot_id | ( |  | ) |

virtual ::CORBA::StringSeq* PortableInterceptor::ORBInitInfo::arguments | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_ORBInitInfo.

virtual ::IOP::CodecFactory_ptr PortableInterceptor::ORBInitInfo::codec_factory | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_ORBInitInfo.

void PortableInterceptor::ORBInitInfo::operator= | ( | const ORBInitInfo & |  | ) | `[private]`

virtual char* PortableInterceptor::ORBInitInfo::orb_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_ORBInitInfo.

virtual void PortableInterceptor::ORBInitInfo::register_initial_reference | ( | const char * | id,
|  | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , PortableInterceptor::ORBInitInfo::InvalidName )`[pure virtual]`

| Reimplemented in TAO_ORBInitInfo.

void PortableInterceptor::ORBInitInfo::register_initial_reference | ( | in ObjectId | id,
|  | in Object | obj
| ) | raises (InvalidName)

virtual void PortableInterceptor::ORBInitInfo::register_policy_factory | ( | CORBA::PolicyType | type,
|  | PortableInterceptor::PolicyFactory_ptr policy_factory | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_ORBInitInfo.

void PortableInterceptor::ORBInitInfo::register_policy_factory | ( | in CORBA::PolicyType | type,
|  | in PolicyFactory | policy_factory
| ) |

virtual CORBA::Object_ptr PortableInterceptor::ORBInitInfo::resolve_initial_references | ( | const char *id | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , PortableInterceptor::ORBInitInfo::InvalidName )`[pure virtual]`

| Reimplemented in TAO_ORBInitInfo.

Object PortableInterceptor::ORBInitInfo::resolve_initial_references | ( | in ObjectId | id | ) | raises (InvalidName)

## Member Data Documentation

int PortableInterceptor::ORBInitInfo::_tao_class_id`[static]`

| Address of this variable used in _unchecked_narrow(). Reimplemented from CORBA_Object.

readonly attribute CORBA::StringSeq PortableInterceptor::ORBInitInfo::arguments

readonly attribute IOP::CodecFactory PortableInterceptor::ORBInitInfo::codec_factory

readonly attribute string PortableInterceptor::ORBInitInfo::orb_id

The documentation for this interface was generated from the following files:

- PortableInterceptor.pidl
- PortableInterceptorC.h